XML::Handler::Sample(3)

NAME
XML::Handler::Sample - a trivial PerlSAX handler

SYNOPSIS
 use XML::Parser::PerlSAX;
 use XML::Handler::Sample;

 $my_handler = XML::Handler::Sample->new;

 XML::Parser::PerlSAX->new->parse(Source => { SystemId => 'REC-xml-19980210.xml' },
                                  Handler => $my_handler);

DESCRIPTION
"XML::Handler::Sample" is a trivial PerlSAX handler that prints out the name of each event it receives. The source for "XML::Handler::Sample" lists all the currently known PerlSAX handler methods.

"XML::Handler::Sample" is intended for Perl module authors who wish to look at example PerlSAX handler modules. "XML::Handler::Sample" can be used as a template for writing your own PerlSAX handler modules. "XML::Handler::Sample" is in the Public Domain and can be used for any purpose without restriction.

AUTHOR
Ken MacLeod, ken@bitsko.slc.ut.us

SEE ALSO
perl(1), PerlSAX.pod(3)